Name: foo2zjs
Version: 20080605
Release: alt2

Summary: ZJS (some HP/Minolta) printer driver
License: GPL
Group: System/Configuration/Hardware

Url: http://foo2zjs.rkkda.com
Source0: %name.tar.gz
Patch1: foo2zjs.make_20080609.patch
Patch2: foo2zjs-20080402-alt-hotplug.patch
Patch3: foo2oak-wrapper.in_20080504.patch
Packager: Evgeny V Shishkov <shev@altlinux.org>

# Automatically added by buildreq on Thu Apr 02 2008 (-bi)
BuildRequires: foomatic-filters ghostscript-utils ghostscript-module-X groff-ps psutils

Requires: tcl-tix tk >= 8.4

%def_without foomaticdb

%description
This package contains %name drivers for printers using ZjStream
wire protocol, including:

foo2zjs:
* Minolta/QMS magicolor 2200 DL / 2300 DL
* Konica Minolta magicolor 2430 DL
* Minolta Color PageWorks/Pro L
* HP LaserJet 1000 / 1005 / 1020 / 1018 / 1022

foo2xqx:
* HP LaserJet P1005 / P1006 / P2014 / P2014n / P1505 / P1505n
* HP LaserJet M1005MFP / M1120MFP

foo2hp:
* HP Color LaserJet CP1215

foo2lava/LAVAFLOW:
* Konica Minolta magicolor 2490 MF / 2530 DL
* Xerox Phaser 6115MFP
* Konica Minolta magicolor 2480 MF
* Kyocera Mita KM-1635 / KM-2035 ===

foo2qpdl:
* Samsung CLP-300 / CLP-600 / CLP-610 / CLX-2160 / CLX-3160
* Xerox Phaser 6110 / 6110MFP

foo2slx:
* Lexmark C500n

foo2hiperc:
* Oki C3200n / C3300n / C3400n / C5100n / C5200n / C5500n / C5600n / C5800n

%prep
%setup -q -n %name
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%make CFLAGS="%optflags"

%install
# need to prepare these by hand
mkdir -p %buildroot{/bin,%_bindir,%_datadir/cups/model}
mkdir -p %buildroot%_datadir/foomatic/db/source/{driver,opt,printer}
mkdir -p %buildroot%_sysconfdir/udev/rules.d
mkdir -p %buildroot%_datadir{/applications,/pixmaps}
%make \
	DESTDIR=%buildroot \
	PREFIX=%buildroot%_usr \
	FOODB=%buildroot%_datadir/foomatic/db/source \
	MODEL=%buildroot%_datadir/cups/model \
	install install-hotplug

rm -rf %buildroot%_docdir/%name/

%files
%doc COPYING ChangeLog INSTALL README manual.pdf 
%doc getweb
%_man1dir/*
%_bindir/*
/bin/*
%_sysconfdir/hotplug/usb/*
%_sysconfdir/udev/rules.d/*
%dir %_datadir/foo2zjs/
%_datadir/foo2zjs/*
%_datadir/foo2hiperc/*
%_datadir/foo2lava/*
%_datadir/foo2oak/*
%_datadir/foo2slx/*
%_datadir/foo2xqx/*
%_datadir/foo2hp/*
%_datadir/foo2qpdl/*
%_datadir/foomatic/db/source/*/*
%_datadir/cups/model/*
%_datadir/applications/*.desktop
%_datadir/pixmaps/*

# discontinued
#%exclude %_bindir/foo2oak-wrapper
#%exclude %_datadir/cups/model/Generic-OAKT_Printer.ppd.gz
%exclude %_datadir/cups/model/HP-Color_LaserJet_1500.ppd.gz
#%exclude %_datadir/man/man1/foo2oak*
#%exclude %_datadir/man/man1/oakdecode.1.gz
#%exclude %_datadir/foomatic/db/source/opt/foo2oak*

# due to file conflicts with foomatic-db
%if_without foomaticdb
#%exclude %_datadir/foomatic/db/source/driver/foo2oak.xml
#%exclude %_datadir/foomatic/db/source/driver/foo2zjs.xml
#%exclude %_datadir/foomatic/db/source/opt/foo2zjs-ColorMode.xml
#%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Duplex.xml
#%exclude %_datadir/foomatic/db/source/opt/foo2zjs-ICM.xml
#%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Intent.xml
#%exclude %_datadir/foomatic/db/source/opt/foo2zjs-PageSize.xml
#%exclude %_datadir/foomatic/db/source/opt/foo2zjs-PrinterType.xml
#%exclude %_datadir/foomatic/db/source/opt/foo2zjs-Resolution.xml
#%exclude %_datadir/foomatic/db/source/printer/Generic-OAKT_Printer.xml
%exclude %_datadir/foomatic/db/source/printer/HP-Color_LaserJet_1500.xml
%exclude %_datadir/foomatic/db/source/printer/HP-Color_LaserJet_1600.xml
%exclude %_datadir/foomatic/db/source/printer/HP-Color_LaserJet_2600n.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1000.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1005.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1020.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_1022.xml
%exclude %_datadir/foomatic/db/source/printer/HP-LaserJet_M1005_MFP.xml
#%exclude %_datadir/foomatic/db/source/printer/Minolta-Color_PageWorks_Pro_L.xml
#%exclude %_datadir/foomatic/db/source/printer/Minolta-magicolor_2200_DL.xml
%exclude %_datadir/foomatic/db/source/printer/Minolta-magicolor_2300_DL.xml
%exclude %_datadir/foomatic/db/source/printer/Minolta-magicolor_2430_DL.xml
%exclude %_datadir/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2480_MF.xml
%exclude %_datadir/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2490_MF.xml
%exclude %_datadir/foomatic/db/source/printer/KONICA_MINOLTA-magicolor_2530_DL.xml
%exclude %_datadir/foomatic/db/source/printer/Samsung-CLP-300.xml
%exclude %_datadir/foomatic/db/source/printer/Samsung-CLP-600.xml
%exclude %_datadir/foomatic/db/source/printer/Xerox-Phaser-6110.xml
%exclude %_datadir/foomatic/db/source/printer/Xerox-Phaser-6115MFP.xml
%endif

%post
%update_menus

%postun
%clean_menus

%changelog
* Wed Jun 18 2008 Evgeny V. Shishkov <shev@altlinux.org> 20080605-alt2
- Add wget requires
- Change tk >= 8.4

* Mon Jun 09 2008 Evgeny V. Shishkov <shev@altlinux.org> 20080605-alt1
- updated to 20080605 tarball
- update foo2zjs.make_20080609.patch

* Mon May 26 2008 Evgeny V. Shishkov <shev@altlinux.org> 20080523-alt1
- updated to 20080523 tarball
- add requires tk>=8.5
- update description

* Mon May 19 2008 Evgeny V. Shishkov <shev@altlinux.org> 20080515-alt1
- updated to 20080515 tarball

* Sun May 04 2008 Evgeny V. Shishkov <shev@altlinux.org> 20080501-alt1
- updated to 20080501 tarball
- add patch foo2oak-wrapper.in_20080504.patch

* Wed Apr 30 2008 Evgeny V. Shishkov <shev@altlinux.org> 20080426-alt1
- updated to 20080426 tarball
- update Makefile patch

* Fri Apr 25 2008 Evgeny V. Shishkov <shev@altlinux.org> 20080418-alt1
- updated to 2008-04-18 tarball

* Fri Apr 04 2008 Evgeny Shishkov <evgen@svi.pp.ru> 20080401-alt0.2
- updated to 2008-04-01 tarball
- fix menu picture

* Wed Apr 02 2008 Evgeny Shishkov <evgen@svi.pp.ru> 20080324-alt0.1
- updated to 2008-03-24 tarball
- updated all patches

* Fri Nov 23 2007 Michael Shigorin <mike@altlinux.org> 20070520-alt0.3
- following Sisyphus package change (20060523-alt0.8):
  + Remove requires to printer-drivers-utils

* Mon May 28 2007 Michael Shigorin <mike@altlinux.org> 20070520-alt0.2
- rebuilt for Daedalus (should be good enough for Sisyphus
  but a bit of careful testing should be better)
- Dmitriy also rediffed patches, cleaned up spec and noted
  that foo2oak driver (HP LJ1500) is discontinued

* Sun May 27 2007 Dmitriy Shadrinov <shadrinovdd@ystu.ru> 20070520-alt0.1
- updated to 2007-05-20 tarball

* Sat May 26 2007 Michael Shigorin <mike@altlinux.org> 20060523-alt0.4
- updated udev rules file to current fashion;
  thanks Dmitriy Shadrinov <shadrinovdd ystu ru>
  for investigation and fix proposal

* Thu Nov 02 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.3
- actually *excluded* and not just mentioned in changelog (#10223):
  HP-Color_LaserJet_2600n.xml
  HP-LaserJet_1020.xml
  Minolta-magicolor_2300_DL.xml
  (thanks Artem Zolochevskiy <azol@> for bringing this up)

* Sat Aug 05 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.2
- excluded these due to file conflict with foomatic-db-3.0.2-alt3:
  HP-Color_LaserJet_2600n.xml
  HP-LaserJet_1020.xml
  Minolta-magicolor_2300_DL.xml
  (if you happen to miss them, check current foomatic-db)

* Sun Jun 25 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.1
- built for Sisyphus (NMU or takeover?)
- NB: it's older snapshot, there are new features in the newer one
  but I can't test (and don't need) them; so leaving 2006-06-25 alone
  (if you have HP2600 or udev troubles with HP10xx, try that too;
  please note the ICM file has different copyright terms, see the 
  website and/or use getweb script)

* Wed May 24 2006 Michael Shigorin <mike@altlinux.org> 20060523-alt0.1.M30.1
- 20060523 tarball
  + should support HP LaserJet 1018 and 1022
- updated patch2
- excluded HP1022 PPD (conflicts with foomatic-db-3.0.2-alt1.20050404)

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 20060416-alt0.1.M30.1
- added hotplug/udev support
- patched hotplug script and makefile to play nice to packaging
- moved usb_printerid back to /bin (as intended)

* Tue Apr 18 2006 Michael Shigorin <mike@altlinux.org> 20060416-alt0.0.M30.1
- updated to 2006-04-16 tarball (judging on ChangeLog)
- spec cleanup
  + moved actual build to %%build section
  + borrowed a couple of things from Conectiva spec
- extended makefile patch (handle athlon, fix add'l binaries installation)
- added groff-ps to buildrequires so that groff works during build
- added foo2zjs, foo2hp ICM profiles
- added PPDs
- exclude a bunch of Foomatic XML by default since it collides
  with foomatic-db-3.0.2-alt1.20050404

* Wed May 11 2005 Denis Smirnov <mithraen@altlinux.ru> 1.59-alt1
- first build for sisyphus
